Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
companytypeedit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZContactMain", "Language" )
| $user =& eZUser::currentUser()
if(!is_a( $user, "eZUser")) if(isset( $Action) && $Action=="edit"||isset( $Action) && $Action=="update") else if(isset( $Action) && $Action=="new"||isset( $Action) && $Action=="insert") else if(isset( $Action) && $Action=="delete") if(empty( $TypeID)) | $type = new eZCompanyType()
if(isset( $Action) && $Action=="insert"||isset( $Action) && $Action=="update") if(! $type->id() &&isset( $Action) && $Action !="new") if(isset( $Action) && $Action=="delete") | $t
if(empty( $TypeID)|| $TypeID==0) | else
| $countingPaths = count( $paths )

## Variable Documentation

## ◆ $countingPaths

$countingPaths = count( $paths )

Definition at line 189 of file companytypeedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 33 of file companytypeedit.php.

## ◆ $Language

$Language = $ini->variable( "eZContactMain", "Language" )

Definition at line 34 of file companytypeedit.php.

## ◆ $t

if (isset($Action) &&$Action=="insert"||isset($Action) &&$Action=="update") if (! $type->id() &&isset($Action) &&$Action !="new") if (isset($Action) &&$Action=="delete") $t

Initial value:
= new eZTemplate( "kernel/ezcontact/admin/" . $ini->variable( "eZContactMain", "AdminTemplateDir" ),
"kernel/ezcontact/admin/intl/", $Language, "companytype.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: companytypeedit.php:34
$ini
$ini
Definition: companytypeedit.php:33

Definition at line 160 of file companytypeedit.php.

## ◆ $type

if (!is_a($user, "eZUser")) if (isset($Action) &&$Action=="edit"||isset($Action) &&$Action=="update") else if (isset($Action) &&$Action=="new"||isset($Action) &&$Action=="insert") else if (isset($Action) &&$Action=="delete") if (empty($TypeID)) $type = new eZCompanyType()

Definition at line 84 of file companytypeedit.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 43 of file companytypeedit.php.

## ◆ else

if (empty($TypeID)||$TypeID==0) else

Initial value:
{
$paths = $type->path( $TypeID )
$type
if(!is_a( $user, "eZUser")) if(isset( $Action) && $Action=="edit"||isset( $Action) && $Action=="update") else if(isset( $Action) && $Action=="new"||isset( $Action) && $Action=="insert") else if(isset( $Action) && $Action=="delete") if(empty( $TypeID)) $type
Definition: companytypeedit.php:84

Definition at line 185 of file companytypeedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.